## sat4j 2.1.1

=== debian/changelog ===
sat4j (2.1.1-3) unstable; urgency=low

  * Bumped standards version to 3.8.4 (no changes)
  * Use ${java:Depends} and javahelper to get proper dependencies (closes:
    #577479)

 -- Michael Tautschnig <mt@debian.org>  Tue, 13 Apr 2010 16:51:40 +0200

sat4j (2.1.1-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Bumped priority to optional to aid eclipse (closes: #564439)
  * Updated watch file to cope with WebSVN
  * Added ${misc:Depends} as required by debhelper
  * Removed lintian override build-depends-without-arch-dep ant which isn't
    necessary anymore.

 -- Michael Tautschnig <mt@debian.org>  Sat, 16 Jan 2010 14:13:00 +0100

sat4j (2.1.1-1) unstable; urgency=low

  * New upstream release
  * Bumped standards version to 3.8.3 (no changes)

 -- Michael Tautschnig <mt@debian.org>  Mon, 02 Nov 2009 22:16:18 +0100

sat4j (2.0.5-2) unstable; urgency=low

  * Dropped use of junit, only junit4 remains (fixes spurious errors in unit
    tests)
  * Added lintian source override for build-depends-without-arch-dep ant
  * Reworded description as suggested by lintian (using-first-person)

 -- Michael Tautschnig <mt@debian.org>  Mon, 16 Feb 2009 11:35:25 +0000

sat4j (2.0.5-1) unstable; urgency=low

  * New upstream release
  * Replace use of /usr/bin/ant by proper java use (closes: #512007)
  * Fixed minor bug in shipped build.xml instead of using home-grown build.xml

 -- Michael Tautschnig <mt@debian.org>  Sat, 31 Jan 2009 12:30:40 +0000

sat4j (2.0.4-2) unstable; urgency=low

  * Run tests after build unless nocheck
  * Requires ant-optional

 -- Michael Tautschnig <mt@debian.org>  Sun, 02 Nov 2008 18:42:11 +0000

sat4j (2.0.4-1) unstable; urgency=low

  * New upstream version (closes: #494944)
  * Depend on proper java6 runtime (closes: #503796)

 -- Michael Tautschnig <mt@debian.org>  Sat, 01 Nov 2008 16:38:35 +0000

sat4j (2.0.2-1) unstable; urgency=low

  * New upstream version (closes: #493917)
  * Switching over to openjdk-6 to get package fit for main
  * Fixed warnings caused by errors in ant build file
  * Build-depends on ant because it is used in clean, 
    added lintian override

 -- Michael Tautschnig <mt@debian.org>  Fri, 22 Aug 2008 14:04:11 +0000

sat4j (2.0.1-1) unstable; urgency=low

  * Initial release (Closes: #485127)

 -- Michael Tautschnig <mt@debian.org>  Tue, 22 Jul 2008 09:27:20 +0000
