## sat4j 2.2.0

=== debian/changelog ===
sat4j (2.2.0-3) unstable; urgency=low

  * Replace BUILD_DATE property by fixed string "SQUEEZE" to make eclipse
    happy, changed Breaks to eclipse (<= 3.5.2-5) (closes: #592181)

 -- Michael Tautschnig <mt@debian.org>  Mon, 16 Aug 2010 12:43:47 +0200

sat4j (2.2.0-2) unstable; urgency=low

  * Disabled very expensive tests
    CompetPBRes(Min)?HTMixedConstraintsObjectiveLearningTest to fix FTBFS
    (closes: #591140) 
  * Bumped standards version to 3.9.1 (no changes)

 -- Michael Tautschnig <mt@debian.org>  Sun, 01 Aug 2010 12:03:10 +0200

sat4j (2.2.0-1) unstable; urgency=low

  * New upstream release (closes: #586437)
    - added Breaks: eclipse (<= 3.5.2-3) as requested by eclipse devs

 -- Michael Tautschnig <mt@debian.org>  Thu, 24 Jun 2010 10:14:30 +0200
