=== debian/rules ===
--- 
+++ 
@@ -14,14 +14,14 @@
 else
 	JAVA_HOME	:= /usr/lib/jvm/java-6-openjdk
 endif
-DEB_JARS  := ant ant-launcher ant-junit commons-cli commons-beanutils js junit4 jmock
+DEB_JARS  := ant ant-launcher ant-junit commons-cli commons-beanutils js junit4 jmock hamcrest-core
 
 DEB_CLASSPATH = $(shell for jar in $(DEB_JARS:%=/usr/share/java/%.jar); do \
 	echo -n $${jar}:; done; \
 	echo -n $(JAVA_HOME)/lib/tools.jar)
 
 ANT_ARGS	:= -propertyfile debian/ant.properties
-ANT				:= $(JAVA_HOME)/bin/java -classpath $(DEB_CLASSPATH) org.apache.tools.ant.Main $(ANT_ARGS)
+ANT				:= CLASSPATH=$(DEB_CLASSPATH) $(JAVA_HOME)/bin/java org.apache.tools.ant.Main $(ANT_ARGS)
 
 
 VERSION=$(shell dpkg-parsechangelog | grep Version | awk '{ print $$2 }' | sed 's/-.*//')
@@ -121,8 +121,8 @@
 
 binary: binary-arch binary-indep
 
-TAG_VERS=2_0_5
-DEB_VERS=2.0.5
+TAG_VERS=org.sat4j.pom-2.2.0
+DEB_VERS=2.2.0
 get-orig-source:
 	svn export svn://svn.forge.objectweb.org/svnroot/sat4j/maven/tags/$(TAG_VERS)/ sat4j-$(DEB_VERS)
 	cd sat4j-$(DEB_VERS) ; rm -r org.sat4j.maxsat/ org.sat4j.multicore/ \
