## sat4j 2.2.3

=== debian/changelog ===
sat4j (2.2.3-1) unstable; urgency=low

  * New upstream release
  * Changed build-date from SQUEEZE to WHEEZY

 -- Michael Tautschnig <mt@debian.org>  Tue, 08 Feb 2011 18:36:34 +0100
