=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
http://websvn.ow2.org/listing.php?repname=sat4j&path=%2Fmaven%2Ftags%2F#path_maven_tags_ \
  listing\.php\?repname=sat4j\&amp;path=%2Fmaven%2Ftags%2F(\d+)_(\d+)_(\d+)%2F#path_maven_tags_\1_\2_\3_

# Uncomment to examine a Webserver directory
#http://svn.forge.objectweb.org/cgi-bin/viewcvs.cgi/sat4j/maven/tags/ (\d+)_(\d+)_(\d+)/

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/sat4j-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
# http://sf.net/sat4j/sat4j-(.*)\.tar\.gz
