## sat4j 2.3.0

=== debian/changelog ===
sat4j (2.3.0-3) unstable; urgency=low

  * Reworked debian/rules using dh+jh (closes: #641378)
  * Cleanup patch names to make dpkg happy
  * Build level 1.5 bytecode as requested on eclipse/linuxtools-dev

 -- Michael Tautschnig <mt@debian.org>  Mon, 24 Oct 2011 10:39:02 +0100

sat4j (2.3.0-2) unstable; urgency=low

  * Include maxsat solver (closes: #636784)

 -- Michael Tautschnig <mt@debian.org>  Wed, 10 Aug 2011 00:35:50 +0200

sat4j (2.3.0-1) unstable; urgency=low

  * New upstream release (closes: #630720)
  * Bumped standards version to 3.9.2 (no changes)

 -- Michael Tautschnig <mt@debian.org>  Thu, 16 Jun 2011 18:16:35 +0200
