=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: science
 Priority: optional
 Maintainer: Michael Tautschnig <mt@debian.org>
-Build-Depends: debhelper (>= 6.0.7~), ant
+Build-Depends: debhelper (>= 7.0.50~), ant
 Build-Depends-Indep: javahelper, default-jdk, libcommons-cli-java, libcommons-beanutils-java, rhino, junit4, libjmock-java, ant-optional
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.sat4j.org
 
 Package: sat4j
