## sat4j 2.3.1

=== debian/changelog ===
sat4j (2.3.1-1) unstable; urgency=low

  * New upstream release
  * Bumped standards version to 3.9.3 (no changes)
  * Added link to existing (but CC-BY-NC-ND) documentation
    (closes: #635357)
  * No longer requires maxsat-as-patch

 -- Michael Tautschnig <mt@debian.org>  Sun, 04 Mar 2012 01:38:25 +0000
