=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Michael Tautschnig <mt@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), ant
 Build-Depends-Indep: javahelper, default-jdk, libcommons-cli-java, libcommons-beanutils-java, rhino, junit4, libjmock-java, ant-optional
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.sat4j.org
 
 Package: sat4j
