## sat4j 2.3.2

=== debian/changelog ===
sat4j (2.3.2-1) unstable; urgency=low

  * New upstream release
  * Bumped standards version to 3.9.4 (no changes)
  * Use target 1.5 instead of jsr14 as Java7 no longer allows generics with
    jsr14. Thanks Niels Thykier for the report and patch (closes: #678007) 

 -- Michael Tautschnig <mt@debian.org>  Sun, 02 Dec 2012 17:45:35 +0000
