=== debian/rules ===
--- 
+++ 
@@ -86,8 +86,8 @@
 ### 	dh_md5sums
 ### 	dh_builddeb
 
-TAG_VERS=org.sat4j.pom-2.3.1
-DEB_VERS=2.3.1
+TAG_VERS=org.sat4j.pom-2.3.2
+DEB_VERS=2.3.2
 get-orig-source:
 	svn export svn://svn.forge.objectweb.org/svnroot/sat4j/maven/tags/$(TAG_VERS)/ sat4j-$(DEB_VERS)
 	cd sat4j-$(DEB_VERS) ; rm -r org.sat4j.csp/ org.sat4j.csp.xmlparser/
