## sat4j 2.3.3

=== debian/changelog ===
sat4j (2.3.3-1) unstable; urgency=low

  * New upstream release
  * Bumped standards version to 3.9.5 (no changes)

 -- Michael Tautschnig <mt@debian.org>  Sat, 28 Jun 2014 17:04:41 +0100
