=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Michael Tautschnig <mt@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), ant
-Build-Depends-Indep: javahelper, default-jdk, libcommons-cli-java, libcommons-beanutils-java, rhino, junit4, libjmock-java, ant-optional
-Standards-Version: 3.9.4
+Build-Depends-Indep: javahelper, default-jdk, libcommons-cli-java, libcommons-beanutils-java, rhino, junit4, libjmock-java, ant-optional, libmockito-java
+Standards-Version: 3.9.5
 Homepage: http://www.sat4j.org
 
 Package: sat4j
