=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 include /usr/share/javahelper/java-vars.mk
-DEB_JARS  := ant ant-launcher ant-junit commons-cli commons-beanutils js junit4 jmock hamcrest-core
+DEB_JARS  := ant ant-launcher ant-junit commons-cli commons-beanutils js junit4 jmock hamcrest-core mockito-core
 
 DEB_CLASSPATH = $(shell for jar in $(DEB_JARS:%=/usr/share/java/%.jar); do \
 	echo -n $${jar}:; done; \
@@ -86,8 +86,8 @@
 ### 	dh_md5sums
 ### 	dh_builddeb
 
-TAG_VERS=org.sat4j.pom-2.3.2
-DEB_VERS=2.3.2
+TAG_VERS=org.sat4j.pom-2.3.3
+DEB_VERS=2.3.3
 get-orig-source:
 	svn export svn://svn.forge.objectweb.org/svnroot/sat4j/maven/tags/$(TAG_VERS)/ sat4j-$(DEB_VERS)
 	cd sat4j-$(DEB_VERS) ; rm -r org.sat4j.csp/ org.sat4j.csp.xmlparser/
