## sat4j 2.3.5

=== debian/changelog ===
sat4j (2.3.5-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add encoding.patch and fix FTBFS with Java 9. (Closes: #893411)

 -- Markus Koschany <apo@debian.org>  Fri, 13 Apr 2018 18:54:47 +0200

sat4j (2.3.5-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Re-enabled javahelper to properly compute the package dependencies
  * Added symlinks to the old /usr/share/java/org.sat4j.*.jar files
    to preserve the backward compatibility

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 04 Nov 2016 23:10:51 +0100

sat4j (2.3.5-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Luca Vercelli ]
  * New upstream release. (Closes: #815911)
  * Add Maven artifacts and install corresponding pom.xml files.

  [ Markus Koschany ]
  * Switch to compat level 10.
  * Declare comliance with Debian Policy 3.9.8.
  * Fix debian/watch and detect the latest upstream releases.
  * Remove prebuilt jar files from the original tarball in get-orig-source
    target.

 -- Markus Koschany <apo@debian.org>  Sat, 29 Oct 2016 15:20:51 +0200
