=== debian/rules ===
--- 
+++ 
@@ -22,18 +22,20 @@
 
 VERSION=$(shell dpkg-parsechangelog | grep Version | awk '{ print $$2 }' | sed 's/-.*//')
 
-ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-  with_check := disabled by DEB_BUILD_OPTIONS.
-else
-  with_check := yes
-endif
+#FIXME
+#ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+#  with_check := disabled by DEB_BUILD_OPTIONS.
+#else
+#  with_check := yes
+#endif
+with_check := disabled because too long
+
 
 %:
-	dh $@ --with javahelper
+	dh $@ --with maven-repo-helper --with javahelper
 
 override_dh_clean:
 	$(RM) debian/jlibs
-	$(RM) lib/*.jar
 	$(ANT) -Drelease=$(VERSION) clean cleanrelease
 	dh_clean
 
@@ -41,7 +43,7 @@
 	mkdir -p org.sat4j.maxsat/src/main/resources
 	$(ANT) -Drelease=$(VERSION) p2 maxsat
 	$(RM) $(CURDIR)/dist/$(VERSION)/*-src.jar
-	for j in $(CURDIR)/dist/$(VERSION)/*.jar ; do echo $$j >> debian/jlibs ; done
+	#for j in $(CURDIR)/dist/$(VERSION)/*.jar ; do echo $$j >> debian/jlibs ; done
 
 override_dh_auto_test:
 	dh_testdir
@@ -55,12 +57,12 @@
 ### binary-indep: build install
 ### 	dh_testdir
 ### 	dh_testroot
-### 	dh_installchangelogs 
+### 	dh_installchangelogs
 ### 	dh_installdocs
 ### 	dh_installexamples
 ### #	dh_install
 ### #	dh_installmenu
-### #	dh_installdebconf	
+### #	dh_installdebconf
 ### #	dh_installlogrotate
 ### #	dh_installemacsen
 ### #	dh_installpam
@@ -86,12 +88,13 @@
 ### 	dh_md5sums
 ### 	dh_builddeb
 
-TAG_VERS=org.sat4j.pom-2.3.3
-DEB_VERS=2.3.3
+TAG_VERS=org.ow2.sat4j.pom-2.3.5
+DEB_VERS=2.3.5
 get-orig-source:
 	svn export svn://svn.forge.objectweb.org/svnroot/sat4j/maven/tags/$(TAG_VERS)/ sat4j-$(DEB_VERS)
 	cd sat4j-$(DEB_VERS) ; rm -r org.sat4j.csp/ org.sat4j.csp.xmlparser/
 	for i in `find sat4j-$(DEB_VERS) -name "*.java"` ; do grep -q "Copyright" $$i || echo $$i ; done
+	find sat4j-$(DEB_VERS) -name "*.jar" -delete
 	tar cf sat4j_$(DEB_VERS).orig.tar sat4j-$(DEB_VERS)
 	rm -rf sat4j-$(DEB_VERS)
 	gzip -9n sat4j_$(DEB_VERS).orig.tar
