## sat4j 2.3.6

=== debian/changelog ===
sat4j (2.3.6-1) unstable; urgency=medium

  * Team upload.
  * Maintain package in Debian Science team
    Closes: #1092952
  * d/rules: This is not an example
  * Fix watch file
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Do not parse d/changelog (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * d/copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Mon, 03 Feb 2025 16:10:08 +0100
