=== debian/control ===
--- 
+++ 
@@ -1,11 +1,15 @@
 Source: sat4j
 Section: science
 Priority: optional
-Maintainer: Michael Tautschnig <mt@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), ant
-Build-Depends-Indep: javahelper, default-jdk, libcommons-cli-java, libcommons-beanutils-java, rhino, junit4, libjmock-java, ant-optional, libmockito-java
-Standards-Version: 3.9.5
-Homepage: http://www.sat4j.org
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Michael Tautschnig <mt@debian.org>
+Build-Depends: debhelper-compat (= 13), ant
+Build-Depends-Indep: javahelper, default-jdk, libcommons-cli-java, libcommons-beanutils-java,
+ rhino, junit4, libjmock-java, ant-optional, libmockito-java, maven-repo-helper
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/science-team/sat4j
+Vcs-Git: https://salsa.debian.org/science-team/sat4j.git
+Homepage: https://www.sat4j.org
 
 Package: sat4j
 Architecture: all
