=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,4 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-# Sample debian/rules that uses debhelper.
-# This file was originally written by Joey Hess and Craig Small.
-# As a special exception, when this file is copied by dh-make into a
-# dh-make output file, you may use that output file without restriction.
-# This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -20,7 +14,7 @@
 ANT				:= CLASSPATH=$(DEB_CLASSPATH) $(JAVA_HOME)/bin/java org.apache.tools.ant.Main $(ANT_ARGS)
 
 
-VERSION=$(shell dpkg-parsechangelog | grep Version | awk '{ print $$2 }' | sed 's/-.*//')
+include /usr/share/dpkg/default.mk
 
 #FIXME
 #ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
@@ -36,19 +30,19 @@
 
 override_dh_clean:
 	$(RM) debian/jlibs
-	$(ANT) -Drelease=$(VERSION) clean cleanrelease
+	$(ANT) -Drelease=$(DEB_VERSION_UPSTREAM) clean cleanrelease
 	dh_clean
 
 override_dh_auto_build:
 	mkdir -p org.sat4j.maxsat/src/main/resources
-	$(ANT) -Drelease=$(VERSION) p2 maxsat
-	$(RM) $(CURDIR)/dist/$(VERSION)/*-src.jar
-	#for j in $(CURDIR)/dist/$(VERSION)/*.jar ; do echo $$j >> debian/jlibs ; done
+	$(ANT) -Drelease=$(DEB_VERSION_UPSTREAM) p2 maxsat
+	$(RM) $(CURDIR)/dist/$(DEB_VERSION_UPSTREAM)/*-src.jar
+	#for j in $(CURDIR)/dist/$(DEB_VERSION_UPSTREAM)/*.jar ; do echo $$j >> debian/jlibs ; done
 
 override_dh_auto_test:
 	dh_testdir
 ifeq ($(with_check),yes)
-	$(ANT) -Drelease=$(VERSION) p2-tests
+	$(ANT) -Drelease=$(DEB_VERSION_UPSTREAM) p2-tests
 else
 	@echo "Testsuite not run: $(with_check)."
 endif
@@ -74,7 +68,7 @@
 ### 	dh_installman debian/sat4j.1
 ### 	dh_lintian -i
 ### 	dh_link -i
-### 	jh_installlibs -i $(CURDIR)/dist/$(VERSION)/*.jar
+### 	jh_installlibs -i $(CURDIR)/dist/$(DEB_VERSION_UPSTREAM)/*.jar
 ### 	jh_exec -i
 ### 	jh_depends -i
 ### 	dh_strip
@@ -98,4 +92,3 @@
 	tar cf sat4j_$(DEB_VERS).orig.tar sat4j-$(DEB_VERS)
 	rm -rf sat4j-$(DEB_VERS)
 	gzip -9n sat4j_$(DEB_VERS).orig.tar
-
