=== debian/watch ===
version=4

opts="uversionmangle=s/(\d)_(\d)_(\d)/$1.$2.$3/,mode=git,pretty=1.0" \
  https://gitlab.ow2.org/sat4j/sat4j.git \
  refs/tags/(\d[_\d]+)
